/*******************************************************************************
 * Copyright (c) 2013, SWITCH
 ******************************************************************************/
package ch.SWITCH.uniapp;

/**
 * @author latzer
 * 
 *         Implementation of http://labs.omniti.com/labs/jsend
 */
public class JSend {
	/**
	 * All went well, and (usually) some data was returned. Required keys:
	 * status, data
	 */
	public static final String SUCCESS = "success";
	/**
	 * There was a problem with the data submitted, or some pre-condition of the
	 * API call wasn't satisfied Required keys: status, data
	 */
	public static final String FAIL = "fail";
	/**
	 * An error occurred in processing the request, i.e. an exception was thrown
	 * Required keys: status, message Optional keys: code, data
	 */
	public static final String ERROR = "error";

	private String status;
	private String message;
	private Object data;
	private int code;

	public String getMessage() {
		return message;
	}

	public JSend setMessage(String message) {
		this.message = message;
		return this;
	}

	public Object getData() {
		return data;
	}

	public JSend setData(Object data) {
		this.data = data;
		return this;
	}

	public int getCode() {
		return code;
	}

	public JSend setCode(int code) {
		this.code = code;
		return this;
	}

	public String getStatus() {
		return status;
	}

	public JSend setStatus(String status) {
		this.status = status;
		return this;
	}
}
