/*******************************************************************************
 * Copyright (c) 2013, SWITCH
 ******************************************************************************/
package ch.SWITCH.uniapp;

import android.content.Context;
import android.net.Uri;
import android.os.Build;

public class Util {
	/**
	 * Returns a builder for the configured api URL
	 * @param ctx
	 * @return
	 */
	static Uri.Builder getApiUriBuilder(Context ctx){
		return new Uri.Builder()
		.scheme(ctx.getString(R.string.uniapp_apiUrl_scheme))
		.authority(ctx.getString(R.string.uniapp_apiUrl_authority))
		.path(ctx.getString(R.string.uniapp_apiUrl_path));
	}

	/**
	 * Capitalizes the given String
	 * @param s
	 * @return
	 */
	private static String capitalize(String s) {
		if (s == null || s.length() == 0) {
			return "";
		}
		char first = s.charAt(0);
		if (Character.isUpperCase(first)) {
			return s;
		} else {
			return Character.toUpperCase(first) + s.substring(1);
		}
	}

	/**
	 * @return Manufacturer and model of the device as a printable string
	 */
	public static String getDeviceName() {
		String manufacturer = Build.MANUFACTURER;
		String model = Build.MODEL;
		if (model.startsWith(manufacturer)) {
			return capitalize(model);
		} else {
			return capitalize(manufacturer) + " " + model;
		}
	}



}
