<?php
/* Copyright (c) 2013, SWITCH */

/*
 * Overrides the original authServer to generate a shorter, easier to type
 * authorization code
 */
class MobileProxyAuthServer extends \OAuth2\AuthServer{

	public function newAuthoriseRequest($type, $typeId, $authParams = array())
	{
		// Generate an auth code
		$authCode = $this->generateCode();

		// Remove any old sessions the user might have
		self::getStorage('session')->deleteSession($authParams['client_id'], $type, $typeId);

		// Create a new session
		$sessionId = self::getStorage('session')->createSession(
			$authParams['client_id'],
			$authParams['redirect_uri'],	$type,
			$typeId,
			$authCode,
			null,
			null,
			null,
			'requested',
			$authParams['persistent-id'],
			$authParams['device']
		);

		// Associate scopes with the new session
		foreach ($authParams['scopes'] as $scope)
		{
			self::getStorage('session')->associateScope($sessionId, $scope['id']);
		}

		return $authCode;
	}

	protected function generateCode(){
		$length = 8;
		$keys = array_merge(range(0,9), range('a', 'z'), range('A', 'Z') );
		$key = '';
		for($i=0; $i < $length; $i++) {
			$key .= $keys[array_rand($keys)];
		}
		return $key;
	}
}
