<?php
ini_set('display_errors', true);
error_reporting(-1);

// Include the Composer autoloader
include 'vendor/autoload.php';

// Include the storage models
include 'model_scope.php';
include 'model_session.php';

// Include the user model
include 'model_user.php';

require "JSend.php";

// New Slim app
$app = new \Slim\Slim();

// Initiate the Request handler
$request = new \OAuth2\Util\Request();

// Initiate the auth server with the models
$server = new \OAuth2\ResourceServer(new SessionModel, new ScopeModel);

$valid = true;

// Function called when each endpoint is called to check the access token
//	exists and is valid
$checkToken = function () use ($server) {

	return function() use ($server)
	{
		// Test for token existance and validity
			try {
				$server->isValid();
			}

			// The access token is missing or invalid...
			catch (\OAuth2\Exception\InvalidAccessTokenException $e)
			{
				$app = \Slim\Slim::getInstance();
				$res = $app->response();
				$res['Content-Type'] = 'application/json';
				$res->status(403);

				$jsend = new JSend;
				$jsend->setStatus("error")
					->setMessage($e->getMessage());

				$res->body($jsend);
				$app->stop();
			}
		};

};



// This first endpoint requires an access token but has no scope limitations
$app->get('/', $checkToken(), function() use ($server, $app) {

	$res = $app->response();
	$res['Content-Type'] = 'application/json';

	$jsend = new JSend;
	$jsend->setStatus("success")
		->setData(createDummyTimeTable());

	$res->body($jsend);

});

// Run the app
$app->run();

function createDummyTimeTable(){
	$timetable = array();
	$timetable[] = array('time' => '10:00', 'description' => 'crossbow training');
	$timetable[] = array('time' => '11:30', 'description' => 'anger management');
	$timetable[] = array('time' => '12:30', 'description' => 'lunch (Apple pie)');
	$timetable[] = array('time' => '13:30', 'description' => 'anger management pt2');
	return $timetable;
}
